Subject: bug#76617: completing-read should accept spaces in require-match nil mode

From: Daniel Colascione <[email-masked]>
Date: Thu, 27 Feb 2025 16:10:34 -0500

It's sometimes useful (especially when require-match nil) to enter text
with spaces in completing read, but right now, that's inconvenient (you
have to use C-q SPC) because we bind SPC to minibuffer-complete-word,
which won't insert a space unless space matches some possible
completion, and in require-match nil mode, there might not be a
completion with a space in it.